Defder.fr git repository server
=================================

Description
-----------

The repo is just a bare git shared over ssh.

Usage
-------

`git clone`

If you need to clone a repo::

    git clone git@myforge.fr:{{repo_name}}.git

New repo
-----------

If you need to make a new repository,

1. Install ansible (`apt install ansible-core` on ubuntu, or simply `pip install ansible`).

.. attention:: Ansible does not work on a windows system.

2. Launch the `run_playbook.sh` script::

    gitrepo (main =) $ ./run_playbook.sh
    What is the new repository's name?: myrepo
